# Screener Strategy Detail

`GET` `/v1/quote/ai/screener/strategy/{id}`

Get the full configuration of a single stock screener strategy by strategy ID, including all indicator groups and the filter range for each indicator.
(strategy ID as path parameter)

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | Yes | Strategy ID from `screener_recommend_strategies` or `screener_user_strategies` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ai/screener/strategy/<id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | No | Strategy ID |
| `market` | string | No | Target market |
| `filter` | object | No | Filter configuration |
| `└ filters` | object[] | No | Filter conditions |
| `└ ∟ key` | string | No | Indicator key, e.g. `filter_pettm`. |
| `└ ∟ min` | string | No | Lower bound |
| `└ ∟ max` | string | No | Upper bound |
| `└ ∟ tech_values` | object | No | Technical indicator params |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "id": 19,
    "name": "Stocks that surged today",
    "market": "US",
    "type": "platform",
    "filter": {
      "filters": [
        {
          "key": "prevchg",
          "min": "2",
          "max": "",
          "tech_values": {}
        }
      ]
    }
  }
}
```
